org.keycloak.dom.xmlsec.w3.xmldsig

## Class PGPDataType

- java.lang.Object
- - org.keycloak.dom.xmlsec.w3.xmldsig.PGPDataType

-     public class PGPDataType
      extends Object

  Java class for PGPDataType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="PGPDataType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <choice>
               <sequence>
                 <element name="PGPKeyID" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
                 <element name="PGPKeyPacket" type="{http://www.w3.org/2001/XMLSchema}base64Binary" minOccurs="0"/>
                 <any/>
               </sequence>
               <sequence>
                 <element name="PGPKeyPacket" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
                 <any/>
               </sequence>
             </choice>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<Object>` | `content`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PGPDataType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(Object obj)`
    `List<Object>` | `getContent()` Gets the value of the content property.
    `void` | `remove(Object obj)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### content

          protected List<Object> content

  - ### Constructor Detail

    - #### PGPDataType

          public PGPDataType()

  - ### Method Detail

    - #### add

          public void add(Object obj)

    - #### remove

          public void remove(Object obj)

    - #### getContent

          public List<Object> getContent()

      Gets the value of the content property.

      Objects of the following type(s) are allowed in the list `Element` `Object` `String`

Copyright © 2016 JBoss by Red Hat. All rights reserved.